<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

use App\Traits\ModelLogChanging;

class LogisticTiming extends Model
{
    use ModelLogChanging;

    //
    protected $fillable = [
        'logistic_id','to_province_id','to_city_id','days_at_working'
    ];

    public function logistic()
    {
        return $this->belongsTo(Logistic::class);
    }

    public function province()
    {
        return $this->belongsTo(Province::class,'to_province_id','id');
    }

    public function city()
    {
        return $this->belongsTo(City::class,'to_city_id','id');
    }
}
